@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@300;400;500;900&display=swap');

body{
    margin: 0;
    padding: 0;
    font-family: 'Roboto Slab', serif !important;
    font-size: 2rem;
    background: black;
}
/* You can add global styles to this file, and also import other style files */

@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@300;400;500;900&display=swap');

body{
    margin: 0;
    padding: 0;
    font-family: 'Roboto Slab', serif !important;
    font-size: 2rem;
}

.goBackBtn{
    height: max-content;
    width: max-content;
    position: absolute;
    color: #663366 !important;
}
.goBackBtnText{
    color: #663366 !important;
}


.goBackBtn h3{
    font-size: 60%;
    cursor: pointer;
    animation: heroText 1.5s;
    animation-iteration-count: initial;
}
.goBackBtn div{
    width: 55px;
    height: 3px;
    background-color: #663366;

    animation: heroText 1.5s;
    animation-iteration-count: initial;
}

.forAni h3:hover ~ .menuBorder{

    animation: menuBorder 1s;
    animation-iteration-count: infinite;

}
a{
    outline: none !important;
    text-decoration: none !important;
    text-underline: none !important;
}
a:hover{
    outline: none !important;
    text-decoration: none !important;
    text-underline: none !important;
}
a:focus{
    outline: none !important;
    text-decoration: none !important;
    text-underline: none !important;
}
a:active{
    outline: none !important;
    text-decoration: none !important;
    text-underline: none !important;
}

button{
    outline: 0 !important;
}
button:hover{
    outline: 0 !important;
}
button:focus{
    outline: 0 !important;
}
button:active{
    outline: 0 !important;
}



h1,h2{
    color: white;
}

.max-height{
    height: 100vh;
}

@keyframes menuBorder {
    0%{
        width: 55px;
    }
    50%{
        width: 90px;
    }
    100%{
        width: 55px;
    }
}

.goBackBtn h3:focus,.goBackBtn h3:active{
    outline: none;
}


@media only screen and (max-width: 600px) {
    h1{
        font-size: 180%;
        animation: heroText 1.5s;
        animation-iteration-count: initial;
    }


}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
    h1{
        font-size: 200%;
        animation: heroText 1.5s;
        animation-iteration-count: initial;
    }
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
    h1{
        font-size: 200%;
        animation: heroText 1.5s;
        animation-iteration-count: initial;
    }
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
    h1{
        font-size: 250%;
        animation: heroText 1.5s;
        animation-iteration-count: initial;
    }
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {
    h1{
        font-size: 350%;
        animation: heroText 2s;
        animation-iteration-count: initial;
    }

}

@keyframes heroText {
    0%{
        opacity: 0;
    }

    100%{
        opacity: 1;
    }
}

::-webkit-scrollbar{
    width: 12px;
    background: black;
}

::-webkit-scrollbar-thumb{
    background: linear-gradient(transparent,#663366);
    border-radius: 6px;
}

::-webkit-scrollbar-thumb:hover{
    background: linear-gradient(transparent,white);
    border-radius: 6px;
}



/*HOME*/

/*Main Hero Section*/

#home{
    /*background-image: url("../../assets/images/bannerMain.jpg");*/
    background-color: black;
    height: 100vh;
    background-size: cover;
    position: relative;
    width: 100%;
    overflow: hidden;
}

#home .hero-section h1{

    cursor: pointer;
    width: 600px;

}

#home h1:active, h1:focus, h1:hover {
    outline: none;
}

#home-iam, #home-shane{
    color: #663366 !important;
}

#home #tapAnywhereBtn{
    width: 100%;
    padding: 0;
    color: white;
    position: absolute;
    right: 0;
    left: 0;
    bottom: 5%;
    margin: auto;
    text-align: center;
    font-size: 80%;
    cursor: pointer;
}

#home .moveRight{
    margin-left: 35px;
    outline: none;
}

#home .mainImageHome{
    position: absolute;
    height: 400px;
    width: auto;
    left: 65%;
    /*top: 22%;*/
    top: 0;
    bottom: 0;
    margin: auto;
}

#home .mainAni{
    animation: homeTextAni 2s;
    animation-iteration-count: infinite;
}

@keyframes homeTextAni {
    0%{
        transform: scale(1);
    }
    50%{
        transform: scale(1.02);
    }
    100%{
        transform: scale(1);
    }
}

@media only screen and (max-width: 600px){
   #home  .mainImageHome{
        height: 300px;
    }
}

/* Extra small devices (phones, 600px and down) */


/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
   #home  .mainImageHome{
        height: 300px;
    }
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
   #home  .mainImageHome{
        height: 300px;
    }
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
   #home  .mainImageHome{
        height: 300px;
    }
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {
   #home  .mainImageHome{
        height: 400px;
    }
}

/*ABOUT*/
#about{
    min-height: 100vh;
    /*width: 100%;*/
    background-color: black;
    position: relative;
}

#about .about-section-text ul li{
    color: white;
    font-size: 65%;
}

#about .about-section-text a{
    font-size: 80%;
    text-decoration: none;
    color: #663366;
}


#about .about-section-text p{
    color: white;
    font-size: 75%;
}



/*WORK*/

#work{
    min-height: 100vh;
    background-color: black;
}


#work .buttonAreaWork button{
    border: 2px solid white;
    background-color: transparent;
    color: white;
    margin: 20px;
    padding: 0 10px;
    font-size: 80%;
    outline: none;
    transition: all 0.4s ease-out;
}

#work .buttonAreaWork button:hover,button:focus,button:active,button:after{
    outline: none;
}


#work .buttonAreaWork button:hover{
    background-color: white;
    color: black;
}

#work .projects h2{
    color: white;
}
#work .projects p{
    font-size: 50%;
    color: whitesmoke;
}

#work .contactForm input:focus{
    outline: none;

}

#work .projectPicArea{
    overflow: hidden;
    transition: all 0.5s ease-out;
    overflow: hidden;
;
}

#work .workProjectMain:hover .projectPicArea{
    transform: scale(1.05);
    background-color: black !important;
}

#work .workImage{
    position: absolute;
    height: 300px;
    width: auto;
    left: 0;
    right: 0;
    margin: auto;
}

#work .wannaTalk{
    color: #663366;
    cursor: pointer;
}
#work .wannaTalk:active{
    outline: none;
}

/*CONTACT*/
#contact{
    background-color: black;
    min-height: 100vh;
}

#contact .contact-text h2{
    color: white;
    font-size: 150%;
}

#contact .contact-text-para p{
    color: white;
    font-size: 75%;
}

#contact .iconsContact a{
    color: white;
    text-decoration: none;
    outline: none;
}

#contact a i{
    transition: all 0.2s ease-out;
}

#contact .facebookIcon i:hover{
    color: #4267B2
;
}
#contact .instagramIcon i:hover{
    color: #C13584;
}
#contact .youtubeIcon i:hover{
    color: #FF0000;
}
#contact .linkedInIcon i:hover{
    color: #2867B2;
}
#contact .guitarIcon i:hover{
    color: #663366;
}

#contact .contactForm button{
    border: 2px solid white;
    background-color: transparent;
    color: white;
    padding: 0 10px;
    font-size: 80%;
    outline: none;
    transition: all 0.4s ease-out;
}
#contact .contactForm button:hover,button:focus,button:active,button:after{
    outline: none;
}

#contact .contactForm button:hover{
    background-color: white;
    color: black;
}

#contact .contactForm label{
    color: white;
    font-size: 70%;
}


#contact .submitCancelBtn{
    border: 2px solid white;
    background-color: transparent;
    color: white;
    margin: 20px;
    padding: 0 10px;
    font-size: 80%;
    outline: none;
    transition: all 0.4s ease-out;
}

#contact .submitCancelBtn button:hover,button:focus,button:active,button:after{
    outline: none;
}


#contact .submitCancelBtn button:hover{
    background-color: white;
    color: black;
}

#contact .callBtnMain{
    left: 80%;
    top: 88%;
    margin: auto;
    position: fixed;
    display: none;
    z-index: 1000;
}

#contact .callBtnMain a{
    color: #663366;
}

#contact .callBtnMain i{
    font-size: 150%;
    width: auto;
}

@media only screen and (max-width: 600px){
   #contact  .callBtnMain{
        display: block;
    }
}

/*NOT FOUND*/
#default .bomb-icon{
    height: 100px;
    width: auto;
    color: white;
    font-size: 50px;
    animation: bomb-Color 1.2s;
    animation-iteration-count: infinite;
    cursor: pointer;
}

@keyframes bomb-Color {
    0%{
        color: #F88379;
        font-size: 50px;
    }
    50%{
        color: #ce2029;
        font-size: 60px;
    }
    100%{
        color: #de1738;
        font-size: 70px;
    }
}

#default .bomb-main{
    height: 120px;
    width: max-content;

}

#default .notFound{
    background-color: black;
    min-height: 100vh;
}


/*LOADER*/
#loading{
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    margin: auto;
    background-color: black;
    z-index: 1000;
    padding: 0 !important;
    display: flex;
    justify-content: center;
    align-items: center;

}
.spinner {

    /*position: absolute;*/
    /*display: inline-block;*/
    /*margin: auto;*/
    /*box-sizing: border-box;*/
    /*background-clip: padding-box;*/
    width: 150px;
    height: 150px;
    border-radius: 100px;
    border: 4px solid rgba(255, 255, 255, 0.1);
    -webkit-mask: linear-gradient(rgba(0, 0, 0, 0.1), #000000 90%);
    transform-origin: 50% 60%;
    transform: perspective(200px) rotateX(66deg);
    animation: spinner-wiggle 1.2s infinite;
}
.spinner:before,
.spinner:after {
    content: "";
    position: absolute;
    margin: -4px;
    box-sizing: inherit;
    width: inherit;
    height: inherit;
    border-radius: inherit;
    opacity: .05;
    border: inherit;
    border-color: transparent;
    animation: spinner-spin 1.2s cubic-bezier(0.6, 0.2, 0, 0.8) infinite, spinner-fade 1.2s linear infinite;
}

.spinner:before {
    border-top-color: #66e6ff;
}

.spinner:after {
    border-top-color: #f0db75;
    animation-delay: 0.3s;
}

@keyframes spinner-spin {
    100% {
        transform: rotate(360deg);
    }
}
@keyframes spinner-fade {
    20% {
        opacity: .1;
    }
    40% {
        opacity: 1;
    }
    60% {
        opacity: .1;
    }
}

/*SECOND SPINNER*/
.lds-facebook {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
}
.lds-facebook div {
    display: inline-block;
    position: absolute;
    left: 8px;
    width: 16px;
    background: #fff;
    animation: lds-facebook 1.2s cubic-bezier(0, 0.5, 0.5, 1) infinite;
}
.lds-facebook div:nth-child(1) {
    left: 8px;
    animation-delay: -0.24s;
}
.lds-facebook div:nth-child(2) {
    left: 32px;
    animation-delay: -0.12s;
}
.lds-facebook div:nth-child(3) {
    left: 56px;
    animation-delay: 0s;
}
@keyframes lds-facebook {
    0% {
        top: 8px;
        height: 64px;
    }
    50%, 100% {
        top: 24px;
        height: 32px;
    }
}
